RubyGems Navigation menu

pixiedust 0.0.10

Where applicable, they come with a standard version and a class mix in. Ex: NumberDust.nearest(value) is also available as Integer.pd_nearest == FEATURES/PROBLEMS: Features: * Get random numbers in arbitrary ranges from OpenSSL (without skew due to modulo) Problems: * Need a good way to make sure that the OpenSSL library isn't using a broken PRNG == SYNOPSIS: require 'pixiedust' x = RandomDust.between(10,20)

Gemfile
          gem 'pixiedust', '~> 0.0.10'
  
  
  
  
  
  
  

install
          gem install pixiedust
  
  
  
  
  
  
  

Authors:

  • Jonathan Wilkins

Owners:

Total downloads 10,907

For this version 1,497

Show all versions (8 total)

Required Ruby Version: None

Links:

Versions:

  1. 0.0.10 - September 7, 2008 (7.5 KB)
  2. 0.0.9 - September 7, 2008 (7.5 KB)
  3. 0.0.8 - May 25, 2008 (7 KB)
  4. 0.0.7 - May 16, 2008 (7 KB)
  5. 0.0.6 - May 16, 2008 (7 KB)
Show all versions (8 total)

Runtime Dependencies:

Development Dependencies: